Unit Unit1;

{$MODE objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  vinfo, versiontypes;

Type

  { TForm1 }

  TForm1 = Class(TForm)
    Button1: TButton;
    Procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  End;

Var
  Form1: TForm1;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.Button1Click(Sender: TObject);

  Function ProductVersionToString(PV: TFileProductVersion): String;
  Begin
    Result := Format('%d.%d.%d.%d', [PV[0], PV[1], PV[2], PV[3]])
  End;

Var
  Info: TVersionInfo;
Begin
  Info := TVersionInfo.Create;
  Info.Load(HINSTANCE);
  ShowMessage(ProductVersionToString(Info.FixedInfo.FileVersion));
  ShowMessage(ProductVersionToString(Info.FixedInfo.ProductVersion));
  Info.Free;
End;

End.

